Debian Bug report logs - #544497
FTBFS due to gimptool not respecting DESTDIR

version graph

Package: gimp-resynthesizer; Maintainer for gimp-resynthesizer is Bernd Zeimetz <bzed@debian.org>; Source for gimp-resynthesizer is src:gimp-resynthesizer.

Reported by: Tzafrir Cohen <tzafrir@cohens.org.il>

Date: Tue, 1 Sep 2009 01:39:11 UTC

Severity: serious

Tags: patch, sid, squeeze

Found in version gimp-resynthesizer/0.16-1

Fixed in version gimp-resynthesizer/0.16-1.1

Done: Tzafrir Cohen <tzafrir@cohens.org.il>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bryan Donlan <bdonlan@fushizen.net>:
Bug#544497; Package gimp-resynthesizer. (Tue, 01 Sep 2009 01:39:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
New Bug report received and forwarded. Copy sent to Bryan Donlan <bdonlan@fushizen.net>. (Tue, 01 Sep 2009 01:39:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: submit@bugs.debian.org
Subject: gimp-resynthesizer: rebuilds an empty package
Date: Tue, 1 Sep 2009 01:37:10 +0000
Package: gimp-resynthesizer
Version: 0.16-1
Severity: important

*** Please type your report below this line ***
Rebuilding gimp-resynthesizer on my Sid system produces an empty package:
$ dpkg -c ../gimp-resynthesizer_0.16-1_i386.deb 
drwxr-xr-x root/root         0 2009-09-01 03:46 ./
drwxr-xr-x root/root         0 2009-09-01 03:46 ./usr/
drwxr-xr-x root/root         0 2009-09-01 03:46 ./usr/share/
drwxr-xr-x root/root         0 2009-09-01 03:46 ./usr/share/doc/
drwxr-xr-x root/root         0 2009-09-01 03:46 ./usr/share/doc/gimp-resynthesizer/
-rw-r--r-- root/root      1257 2009-09-01 03:12 ./usr/share/doc/gimp-resynthesizer/copyright
-rw-r--r-- root/root      2216 2008-03-10 08:52 ./usr/share/doc/gimp-resynthesizer/README.gz
-rw-r--r-- root/root       289 2009-09-01 03:12 ./usr/share/doc/gimp-resynthesizer/NEWS.Debian.gz
-rw-r--r-- root/root      1106 2009-09-01 03:12 ./usr/share/doc/gimp-resynthesizer/changelog.Debian.gz

The issue is that the 'install' step attempts to install the relevant
files to the real system, and fails silently:

gimptool-2.0 --install-admin-bin resynth
cp resynth /usr/lib/gimp/2.0/plug-ins
cp: cannot create regular file `/usr/lib/gimp/2.0/plug-ins/resynth': Permission denied
gimptool-2.0 --install-admin-script smart-enlarge.scm
cp smart-enlarge.scm /usr/share/gimp/2.6/scripts
cp: cannot create regular file `/usr/share/gimp/2.6/scripts': No such file or directory
gimptool-2.0 --install-admin-script smart-remove.scm
cp smart-remove.scm /usr/share/gimp/2.6/scripts
cp:gimptool-2.0 --install-admin-bin resynth
cp resynth /usr/lib/gimp/2.0/plug-ins
cp: cannot create regular file `/usr/lib/gimp/2.0/plug-ins/resynth': Permission denied
gimptool-2.0 --install-admin-script smart-enlarge.scm
cp smart-enlarge.scm /usr/share/gimp/2.6/scripts
cp: cannot create regular file `/usr/share/gimp/2.6/scripts': No such file or directory
gimptool-2.0 --install-admin-script smart-remove.scm
cp smart-remove.scm /usr/share/gimp/2.6/scripts

At first glance debian/rules sets DESTDIR. However gimptool-2.0 does not
respoect it anymore (as of 2.6?)

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=he_IL.UTF-8, LC_CTYPE=he_IL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gimp-resynthesizer depends on:
ii  gimp                          2.6.7-1    The GNU Image Manipulation Program
ii  libc6                         2.9-25     GNU C Library: Shared libraries
ii  libgcc1                       1:4.4.1-3  GCC support library
ii  libgimp2.0                    2.6.7-1    Libraries for the GNU Image Manipu
ii  libglib2.0-0                  2.20.4-1   The GLib library of C routines
ii  libgtk2.0-0                   2.16.5-1   The GTK+ graphical user interface 
ii  libstdc++6                    4.4.1-3    The GNU Standard C++ Library v3

gimp-resynthesizer recommends no packages.

gimp-resynthesizer suggests no packages.

-- no debconf information

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
ICQ# 16849754         |                    | friend




Information forwarded to debian-bugs-dist@lists.debian.org, Bryan Donlan <bdonlan@fushizen.net>:
Bug#544497; Package gimp-resynthesizer. (Wed, 02 Sep 2009 00:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bryan Donlan <bdonlan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bryan Donlan <bdonlan@fushizen.net>. (Wed, 02 Sep 2009 00:36:03 GMT) Full text and rfc822 format available.

Message #10 received at 544497@bugs.debian.org (full text, mbox):

From: Bryan Donlan <bdonlan@gmail.com>
To: Tzafrir Cohen <tzafrir@cohens.org.il>, 544497@bugs.debian.org
Cc: control@bugs.debian.org, 544497-subscribe@bugs.debian.org
Subject: Re: Bug#544497: gimp-resynthesizer: rebuilds an empty package
Date: Tue, 1 Sep 2009 20:23:41 -0400
package gimp-resynthesizer
reassign 544497 libgimp2.0-dev 2.6.7-1
package libgimp2.0-dev
affects 544497 + gimp-resynthesizer
severity 544497 serious
retitle 544497 gimptool-2.0 does not respect DESTDIR (causes FTBFS in
other packages)
thanks

On Mon, Aug 31, 2009 at 9:37 PM, Tzafrir Cohen<tzafrir@cohens.org.il> wrote:
> Package: gimp-resynthesizer
> Version: 0.16-1
> Severity: important
[snip]
> At first glance debian/rules sets DESTDIR. However gimptool-2.0 does not
> respoect it anymore (as of 2.6?)

Interesting. gimptool's manpage still states it supports DESTDIR - but
it indeed does not:

root@satoko:/tmp# DESTDIR=$PWD gimptool-2.0 --install-admin-bin foo
cp foo /usr/lib/gimp/2.0/plug-ins

Reassigning to libgimp2.0-dev with serious severity (as it cause FTBFS
in other packages)




Bug reassigned from package 'gimp-resynthesizer' to 'libgimp2.0-dev'. Request was from Bryan Donlan <bdonlan@gmail.com> to control@bugs.debian.org. (Wed, 02 Sep 2009 00:36:06 GMT) Full text and rfc822 format available.

Added indication that 544497 affects gimp-resynthesizer Request was from Bryan Donlan <bdonlan@gmail.com> to control@bugs.debian.org. (Wed, 02 Sep 2009 00:36:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Bryan Donlan <bdonlan@gmail.com> to control@bugs.debian.org. (Wed, 02 Sep 2009 00:36:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'gimptool-2.0 does not respect DESTDIR (causes FTBFS in' from 'gimp-resynthesizer: rebuilds an empty package' Request was from Bryan Donlan <bdonlan@gmail.com> to control@bugs.debian.org. (Wed, 02 Sep 2009 00:36:09 GMT) Full text and rfc822 format available.

Bug Marked as found in versions gimp/2.6.7-1; no longer marked as found in versions gimp-resynthesizer/0.16-1. Request was from Bryan Donlan <bdonlan@gmail.com> to control@bugs.debian.org. (Wed, 02 Sep 2009 02:57:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'gimptool does not respect DESTDIR (breaks other packages)' from 'gimptool-2.0 does not respect DESTDIR (causes FTBFS in' Request was from Bryan Donlan <bdonlan@gmail.com> to control@bugs.debian.org. (Wed, 02 Sep 2009 02:57:05 GMT) Full text and rfc822 format available.

Forcibly Merged 544497 544618. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Wed, 02 Sep 2009 04:09:03 GMT) Full text and rfc822 format available.

Disconnected #544618 from all other report(s). Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Wed, 02 Sep 2009 04:09:10 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libgimp2.0-dev' to 'gimp-resynthesizer'. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Wed, 02 Sep 2009 04:09:14 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions gimp/2.6.7-1. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Wed, 02 Sep 2009 04:09:15 GMT) Full text and rfc822 format available.

Bug Marked as found in versions gimp-resynthesizer/0.16-1. Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Wed, 02 Sep 2009 04:09:16 GMT) Full text and rfc822 format available.

Changed Bug title to 'FTBFS due to gimptool not respecting DESTDIR' from 'gimptool does not respect DESTDIR (breaks other packages)' Request was from Ari Pollak <ari@debian.org> to control@bugs.debian.org. (Wed, 02 Sep 2009 04:09:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bryan Donlan <bdonlan@fushizen.net>:
Bug#544497; Package gimp-resynthesizer. (Wed, 02 Sep 2009 04:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ari Pollak <ari@debian.org>:
Extra info received and forwarded to list. Copy sent to Bryan Donlan <bdonlan@fushizen.net>. (Wed, 02 Sep 2009 04:15:09 GMT) Full text and rfc822 format available.

Message #39 received at 544497@bugs.debian.org (full text, mbox):

From: Ari Pollak <ari@debian.org>
To: 544497@bugs.debian.org
Cc: Tzafrir Cohen <tzafrir@cohens.org.il>, 518745@bugs.debian.org
Subject: gimptool does not respect DESTDIR (breaks other packages)
Date: Wed, 02 Sep 2009 00:10:47 -0400
This is reported in gimp as #544618. Upstream is not planning on fixing
it until 2.8, and they recommend using pkg-config with gimp.pc instead.




Information forwarded to debian-bugs-dist@lists.debian.org, Bryan Donlan <bdonlan@fushizen.net>:
Bug#544497; Package gimp-resynthesizer. (Sun, 06 Sep 2009 21:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
Extra info received and forwarded to list. Copy sent to Bryan Donlan <bdonlan@fushizen.net>. (Sun, 06 Sep 2009 21:06:04 GMT) Full text and rfc822 format available.

Message #44 received at 544497@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: 544497@bugs.debian.org
Subject: Re: #544497: gimp-resynthesizer: rebuilds an empty package)
Date: Sun, 6 Sep 2009 20:54:45 +0000
[Message part 1 (text/plain, inline)]
tag 544497 patch
thanks

As gimptool is unhelpful, and I don't wish to force autotools on
upstream, I ended up manually installing everything. Which seems to be
simpler than patching the upstream install target.

Attached a debdiff of the changes.

-- 
Tzafrir Cohen         | tzafrir@jabber.org | VIM is
http://tzafrir.org.il |                    | a Mutt's
tzafrir@cohens.org.il |                    |  best
ICQ# 16849754         |                    | friend
[544497_fix_destdir.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Tzafrir Cohen <tzafrir@cohens.org.il> to control@bugs.debian.org. (Sun, 06 Sep 2009 21:06:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bryan Donlan <bdonlan@fushizen.net>:
Bug#544497; Package gimp-resynthesizer. (Sun, 06 Sep 2009 21:33:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bryan Donlan <bdonlan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Bryan Donlan <bdonlan@fushizen.net>. (Sun, 06 Sep 2009 21:33:32 GMT) Full text and rfc822 format available.

Message #51 received at 544497@bugs.debian.org (full text, mbox):

From: Bryan Donlan <bdonlan@gmail.com>
To: Tzafrir Cohen <tzafrir@cohens.org.il>, 544497@bugs.debian.org
Subject: Re: Bug#544497: #544497: gimp-resynthesizer: rebuilds an empty package)
Date: Sun, 6 Sep 2009 17:15:49 -0400
On Sun, Sep 6, 2009 at 4:54 PM, Tzafrir Cohen<tzafrir@cohens.org.il> wrote:
> tag 544497 patch
> thanks
>
> As gimptool is unhelpful, and I don't wish to force autotools on
> upstream, I ended up manually installing everything. Which seems to be
> simpler than patching the upstream install target.
>
> Attached a debdiff of the changes.

Thanks - was a bit busy with moving back in at college to get to it
right away :)
I'll put in a sponsorship request shortly.




Information forwarded to debian-bugs-dist@lists.debian.org, Bryan Donlan <bdonlan@fushizen.net>:
Bug#544497; Package gimp-resynthesizer. (Fri, 27 Nov 2009 20:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor.herrmann@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Bryan Donlan <bdonlan@fushizen.net>. (Fri, 27 Nov 2009 20:42:02 GMT) Full text and rfc822 format available.

Message #56 received at 544497@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor.herrmann@comodo.priv.at>
To: 544497@bugs.debian.org
Subject: gimp-resynthesizer: diff for NMU version 0.16-1.1
Date: Fri, 27 Nov 2009 21:40:13 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for gimp-resynthesizer (versioned as 0.16-1.1),
using the patch in the BTS (minus debian/dirs which is not needed).

Cheers,
gregor, @Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #49:  Bogon emissions 
[gimp-resynthesizer-0.16-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
You have taken responsibility. (Fri, 27 Nov 2009 20:48:13 GMT) Full text and rfc822 format available.

Notification sent to Tzafrir Cohen <tzafrir@cohens.org.il>:
Bug acknowledged by developer. (Fri, 27 Nov 2009 20:48:13 GMT) Full text and rfc822 format available.

Message #61 received at 544497-close@bugs.debian.org (full text, mbox):

From: Tzafrir Cohen <tzafrir@cohens.org.il>
To: 544497-close@bugs.debian.org
Subject: Bug#544497: fixed in gimp-resynthesizer 0.16-1.1
Date: Fri, 27 Nov 2009 20:47:25 +0000
Source: gimp-resynthesizer
Source-Version: 0.16-1.1

We believe that the bug you reported is fixed in the latest version of
gimp-resynthesizer, which is due to be installed in the Debian FTP archive:

gimp-resynthesizer_0.16-1.1.diff.gz
  to main/g/gimp-resynthesizer/gimp-resynthesizer_0.16-1.1.diff.gz
gimp-resynthesizer_0.16-1.1.dsc
  to main/g/gimp-resynthesizer/gimp-resynthesizer_0.16-1.1.dsc
gimp-resynthesizer_0.16-1.1_i386.deb
  to main/g/gimp-resynthesizer/gimp-resynthesizer_0.16-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 544497@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tzafrir Cohen <tzafrir@cohens.org.il> (supplier of updated gimp-resynthesizer package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 06 Sep 2009 23:26:42 +0300
Source: gimp-resynthesizer
Binary: gimp-resynthesizer
Architecture: source i386
Version: 0.16-1.1
Distribution: unstable
Urgency: low
Maintainer: Bryan Donlan <bdonlan@fushizen.net>
Changed-By: Tzafrir Cohen <tzafrir@cohens.org.il>
Description: 
 gimp-resynthesizer - Gimp plugin for texture synthesis
Closes: 544497
Changes: 
 gimp-resynthesizer (0.16-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Manually install files, as gimptool is broken (Closes: #544497).
   * Bump compat to 5 for that.
   * And dropped patch 01_makefile.
Checksums-Sha1: 
 befab5130fbd4cee89401d6ecfca632c69108750 1770 gimp-resynthesizer_0.16-1.1.dsc
 fc6fd17bd923426b0e7e5b4ed9c7e7d913453604 4085 gimp-resynthesizer_0.16-1.1.diff.gz
 6d33942629a62f24cd701e0862997ff06601dcb6 22806 gimp-resynthesizer_0.16-1.1_i386.deb
Checksums-Sha256: 
 c3c0aaec40df9a54e41dab6bed044795d757351c8560134b765d78bef2156ebc 1770 gimp-resynthesizer_0.16-1.1.dsc
 f216b216613622fa2c05d5b51ec4054f5f73db0c27f3f9a1f02f2b22d671d2c7 4085 gimp-resynthesizer_0.16-1.1.diff.gz
 751cea88db5c92acce71ef9a7776b664cd58a5516ab2da932946155ffb69bbc4 22806 gimp-resynthesizer_0.16-1.1_i386.deb
Files: 
 f82daa23c0dceb90b6202740104f42dd 1770 graphics optional gimp-resynthesizer_0.16-1.1.dsc
 9ef5c7749234f665671e89a0b2638dbc 4085 graphics optional gimp-resynthesizer_0.16-1.1.diff.gz
 a6126c85133e179cbfb851b2dfab08f0 22806 graphics optional gimp-resynthesizer_0.16-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEDicAAoJELs6aAGGSaoGxDEQALNKuDjbNkEDPHYAH+kFJZfV
nFFe6JQ2DOxYxTCdc+xNJuJsp+2LN0cGik+i4BdU7nvyBNjxiB9/RgtBOUniV8Ag
aLPe6MGYXettCMB30Gg9bGVEEoUy4xWyk3UP/pzTIEEXrqU6HDBIxnaqwaSHXqBJ
sCpJvYi46J5uF88LFXVhNaW2FTkz5dvQFP7wX24r2JRTiGwKESTDEUdGf9LgsSCZ
xrs81vqH7DLQ9HtkYWkh9Pbfto6q+wW9Lyf38+VVvSKw+fgaYWkG0MDyuV9D2vDv
4C5Lix/A0P0I1xEF8c1ztW07gGRIgxagvxNZ6P1oHiH2aRodgFphPprC+Hu0vMpV
0/aMKXUH0fmGrv5HFSn1T1K17mJ3KPP/7cssNZs1yfOR9sTzZZleByNoR0ItAzqk
OLXZpfn4SPV3t/KGplFXV4pPxwNMAG2jFDvfA/tVUgICDvGGjXXt4MAPYIfBfEsj
CPs7601UEeO8YfO7YmqOOamd2GUy7eIUcwlHiTXtiZKtakv5JXw7R8YSAIt/Mhnh
Jd4ORprLoaFjUbXlgQ/cr0xwAJMMtSzrje0WILo8VMVbKCRzU1UGrsOFiiagMETM
xSrChbi1v4cAH1j7kmJKkTNdNOkNOfaqIMRZkvhUYqGSJ6r/zjs7j58MmvTl4ysx
1NSnsdBW/S5zkdcgrumJ
=Xlh3
-----END PGP SIGNATURE-----





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Wed, 04 Aug 2010 11:18:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 10:28:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:38:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.